import { NavLink, Outlet, useLocation, useParams } from "react-router-dom";
import "../index.css";

export default function Root() {
    const location = useLocation();
    return (
        <>
            {!location.pathname.includes("/quiz") ? (
                <header>
                    <NavLink to="/home" className={location.pathname === "/home" ? "selected" : "buttonHeader"}>
                        HOME
                    </NavLink>
                    <NavLink
                        to="/community"
                        className={location.pathname === "/community" ? "selected" : "buttonHeader"}
                    >
                        COMMUNITY
                    </NavLink>
                    <NavLink to="/profile" className={location.pathname === "/profile" ? "selected" : "buttonHeader"}>
                        PROFILE
                    </NavLink>
                    <NavLink
                        to="/multiplayer"
                        className={location.pathname === "/multiplayer" ? "selected" : "buttonHeader"}
                    >
                        MULTIPLAYER
                    </NavLink>
                </header>
            ) : null}
            <main className={location.pathname.includes("/quiz") ? "main-no-header" : "main-header"}>
                <Outlet />
            </main>
            {/*<footer>
            <em>Made with React & react-router</em>
        </footer>*/}
        </>
    );
}
