interface PaginationProps {
    page: number,
    pageSize: number,
    total: number,
    OnPageChange: (page: number) => void;
}

export function Pagination(props: PaginationProps) {
    const first = (props.page == 1);
    const lastpage = Math.ceil(props.total / props.pageSize);
    const last = (props.page == lastpage);
    return (<>
        <div className="pagination">
            <button disabled={first} onClick={() => props.OnPageChange(-1)}>{'<-'}</button>
            <span>Page {props.page}/{lastpage}</span>
            <button disabled={last} onClick={() => props.OnPageChange(1)}>{'->'}</button>
        </div>
    </>);
}